[equivs] 06/36: Import Debian version 2.0.9

Axel Beckert abe at deuxchevaux.org
Fri Jul 28 23:04:34 UTC 2017


This is an automated email from the git hooks/post-receive script.

abe pushed a commit to branch master
in repository equivs.

commit 7f583804e2b5ef177fff725b33933407e1594b16
Author: Peter Samuelson <peter at p12n.org>
Date:   Fri Sep 30 01:22:27 2011 -0500

    Import Debian version 2.0.9
    
    equivs (2.0.9) unstable; urgency=low
    
      * Upgrade to Policy 3.9.2 - no changes.
      * Upgrade to source format 1.0 - no changes.
      * Support Breaks.  (Closes: #571638)
      * Move up to debhelper 7.  (Closes: #624175)
      * Fix 'Files:' option to expect an install _directory_.  (Closes: #636310)
      * Let 'Source:' field default to package name but be overridable.
        Based on patch from era erickson.  (Closes: #409557)
      * Improve option handling: allow equivs-build --arch and --full to work
        together.  Previously, with --full, --arch had no effect.
---
 debian/changelog                               | 14 +++++++++
 debian/compat                                  |  2 +-
 debian/control                                 |  4 +--
 debian/rules                                   | 10 +++----
 debian/source/format                           |  1 +
 usr/bin/equivs-build                           | 39 ++++++++++++++------------
 usr/share/equivs/template.ctl                  |  3 +-
 usr/share/equivs/template/debian/compat        |  2 +-
 usr/share/equivs/template/debian/control.in    |  5 ++--
 usr/share/equivs/template/debian/rules         |  9 +++---
 usr/share/equivs/template/debian/source/format |  1 +
 11 files changed, 53 insertions(+), 37 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index c466d4c..5900b88 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,17 @@
+equivs (2.0.9) unstable; urgency=low
+
+  * Upgrade to Policy 3.9.2 - no changes.
+  * Upgrade to source format 1.0 - no changes.
+  * Support Breaks.  (Closes: #571638)
+  * Move up to debhelper 7.  (Closes: #624175)
+  * Fix 'Files:' option to expect an install _directory_.  (Closes: #636310)
+  * Let 'Source:' field default to package name but be overridable.
+    Based on patch from era erickson.  (Closes: #409557)
+  * Improve option handling: allow equivs-build --arch and --full to work
+    together.  Previously, with --full, --arch had no effect.
+
+ -- Peter Samuelson <peter at p12n.org>  Fri, 30 Sep 2011 01:22:27 -0500
+
 equivs (2.0.8) unstable; urgency=low
 
   * Acknowledge NMU, thanks Zack.
diff --git a/debian/compat b/debian/compat
index b8626c4..7f8f011 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-4
+7
diff --git a/debian/control b/debian/control
index 2959792..9c53df5 100644
--- a/debian/control
+++ b/debian/control
@@ -2,11 +2,11 @@ Source: equivs
 Section: admin
 Priority: extra
 Maintainer: Peter Samuelson <peter at p12n.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
 Build-Depends: debhelper
 
 Package: equivs
-Depends: perl, debhelper, dpkg-dev, make, fakeroot
+Depends: perl, debhelper, dpkg-dev, make, fakeroot, ${misc:Depends}
 Architecture: all
 Description: Circumvent Debian package dependencies
  This package provides a tool to create trivial Debian packages.
diff --git a/debian/rules b/debian/rules
index 3fc55f5..7d54ec4 100755
--- a/debian/rules
+++ b/debian/rules
@@ -10,18 +10,19 @@ MANPAGES := debian/equivs-control.1 debian/equivs-build.1
 	pod2man --section=1 --release="$$(date +'%d %b %Y')" \
 	--center="Debian/GNU" --date=' ' $< > $@
 
-build: $(MANPAGES)
+build-arch:
+build-indep: $(MANPAGES)
+build: build-arch build-indep
 
 clean:
 	dh_testdir
-	dh_testroot
 	$(RM) $(MANPAGES)
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 	mkdir -p debian/$(PKG)
 	cp -la usr debian/$(PKG)
@@ -45,8 +46,5 @@ binary-indep: build install
 	dh_md5sums
 	dh_builddeb
 
-source diff:
-	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..d3827e7
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+1.0
diff --git a/usr/bin/equivs-build b/usr/bin/equivs-build
index 4360646..1c7b06d 100755
--- a/usr/bin/equivs-build
+++ b/usr/bin/equivs-build
@@ -1,4 +1,4 @@
-#!/usr/bin/perl -w
+#!/usr/bin/perl
 
 # Copyright 1999 by Martin Bialasinski
 # Copyright 2006 by Peter Samuelson
@@ -8,8 +8,10 @@
 # Also licensed under the GPL2
 
 use strict;
+use warnings;
+
 use Cwd;
-use Getopt::Long;
+use Getopt::Long qw( :config no_ignore_case bundling );
 use File::Copy;
 use File::Basename;
 use File::Temp ('tempdir');
@@ -32,7 +34,7 @@ EOU
 }
 
 my ($full_package, $arch);
-GetOptions(full => \$full_package, 'arch=s' => \$arch) or usage();
+GetOptions('full|f' => \$full_package, 'arch|a=s' => \$arch) or usage();
 
 my $debug = 0;
 
@@ -63,7 +65,9 @@ if ($debug) {
 my @extra_files = split ",", $control{'Extra-Files'} || "";
 my %install_files = ();
 for (split "\n", $control{'Files'} || "") {
-    $install_files{$2} = $1 if m/^\s*(\S+)\s+(\S+)\s*$/;
+    die "Cannot parse Files line: '$_'\n"
+        unless m:^\s*(\S+)\s+(\S+)/?\s*$:;
+    $install_files{"$2/$1"} = $1;
 }
 my %create_files = ();
 for (@{$control{'File'} || []}) {
@@ -160,21 +164,18 @@ if ($control{'Copyright'}) {
 chdir $builddir;
 unlink glob "debian/*.in";
 
-my @build_cmd = ();
-# Set architecture for crosscompiling, if requested
-if ($arch) {
-  @build_cmd = ("dpkg-architecture", "-a$arch", "-c");
-}
-
+my @build_cmd;
 if ($full_package) {
-  push @build_cmd, qw(dpkg-buildpackage -rfakeroot);
+    @build_cmd = (qw(dpkg-buildpackage -rfakeroot), ($arch ? "-a$arch" : ()));
 } else {
-  push @build_cmd, qw(fakeroot debian/rules binary);
+    @build_cmd = (($arch ? ("dpkg-architecture", "-a$arch", "-c") : ()),
+                  qw(fakeroot debian/rules binary));
 }
-system(@build_cmd) == 0 or
-  die "Error in the build process: exit status " . ($?>>8) . "\n";
-
+system @build_cmd;
+my $err = $? >> 8;
 chdir '..';
+die "Error in the build process: exit status $err\n" if $err;
+
 print "\nThe package has been created.\n";
 print "Attention, the package has been created in the current directory,\n";
 print "not in \"..\" as indicated by the message above!\n";
@@ -231,8 +232,8 @@ sub read_control_file {
     }
   }
 
-  # Fix Source: entry
-  $control->{'Source'} = $control->{'Package'};
+  # If no Source entry was specified, copy Package:
+  $control->{'Source'} ||= $control->{'Package'};
 
   # remove trailing whitespace
 #  foreach my $key (keys %$control) {
@@ -305,6 +306,7 @@ sub write_control_file {
 			   "Recommends",
 			   "Suggests",
 			   "Conflicts",
+			   "Breaks",
 			   "Provides",
 			   "Replaces",
 			   "Description");
@@ -323,7 +325,7 @@ sub make_changelog {
   open OUT, '>', "$builddir/debian/changelog" or
     die "Couldn't write changelog: $!\n";
   print OUT <<EOINPUT;
-$control->{Package} ($version) $suite; urgency=low
+$control->{Source} ($version) $suite; urgency=low
 
   * First version
 
@@ -351,6 +353,7 @@ sub make_readme {
 			 "Recommends",
 			 "Suggests",
 			 "Conflicts",
+                         "Breaks",
 			 "Provides",
 			 "Replaces");
   $deps ||= " ";
diff --git a/usr/share/equivs/template.ctl b/usr/share/equivs/template.ctl
index 499994b..fd824aa 100644
--- a/usr/share/equivs/template.ctl
+++ b/usr/share/equivs/template.ctl
@@ -1,9 +1,10 @@
 ### Commented entries have reasonable defaults.
 ### Uncomment to edit them.
+# Source: <source package name; defaults to package name>
 Section: misc
 Priority: optional
 # Homepage: <enter URL here; no default>
-Standards-Version: 3.6.2
+Standards-Version: 3.9.2
 
 Package: <package name; defaults to equivs-dummy>
 # Version: <enter version here; defaults to 1.0>
diff --git a/usr/share/equivs/template/debian/compat b/usr/share/equivs/template/debian/compat
index b8626c4..7f8f011 100644
--- a/usr/share/equivs/template/debian/compat
+++ b/usr/share/equivs/template/debian/compat
@@ -1 +1 @@
-4
+7
diff --git a/usr/share/equivs/template/debian/control.in b/usr/share/equivs/template/debian/control.in
index 4c2e35d..38103e7 100644
--- a/usr/share/equivs/template/debian/control.in
+++ b/usr/share/equivs/template/debian/control.in
@@ -1,9 +1,8 @@
-Source: equivs-dummy
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 4)
+Build-Depends: debhelper (>= 7)
 Maintainer: root <root at localhost>
-Standards-Version: 3.6.2
+Standards-Version: 3.9.2
 
 Package: equivs-dummy
 Architecture: all
diff --git a/usr/share/equivs/template/debian/rules b/usr/share/equivs/template/debian/rules
index 7b3f2f2..292737f 100755
--- a/usr/share/equivs/template/debian/rules
+++ b/usr/share/equivs/template/debian/rules
@@ -3,21 +3,20 @@
 
 #export DH_VERBOSE=1
 
-build:
+build build-arch build-indep:
 
 clean:
 	dh_testdir
-	dh_testroot
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
-
-binary-indep: install
+	dh_prep
 
 binary-arch: install
+
+binary-indep: install
 	dh_testdir
 	dh_testroot
 	dh_install
diff --git a/usr/share/equivs/template/debian/source/format b/usr/share/equivs/template/debian/source/format
new file mode 100644
index 0000000..d3827e7
--- /dev/null
+++ b/usr/share/equivs/template/debian/source/format
@@ -0,0 +1 @@
+1.0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/equivs.git



More information about the Pkg-perl-cvs-commits mailing list